petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellGetContext

set some data to be usable by this DM

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellGetContext(DM dm,void **ctx)

Collective

### Input Argument

dm -shell DM

### Output Argument

ctx -the context

### See Also

DMCreateMatrix(), DMShellSetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html